%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-jsonschema_specifications
Version:       2023.11.2
Release:       1mamba
Summary:       The JSON Schema meta-schemas and vocabularies, exposed as a Registry
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/python-jsonschema/jsonschema-specifications
Source:        http://pypi.debian.net/jsonschema-specifications/jsonschema_specifications-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(referencing)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n jsonschema_specifications-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc COPYING

%changelog
* Fri Dec 01 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.2-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 2023.11.1-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.7.1-1mamba
- package created using the webbuild interface
